Subject: Re: Serial console problem on MPC8272ADS board

From: Vitaly Bordug <[email-masked]>
Date: Tue, 01 Feb 2005 20:10:46 +0300

ning wrote:

>Hello,Vitaly
>
>Thanks for your reply.
>
>I added SCC4 to rs_table as following:
>static struct serial_state rs_table[] = {
>	/* UART CLK   PORT          IRQ      FLAGS  NUM */
>	{ 0,     0, PROFF_SCC1, SIU_INT_SCC1,   0,   (0 |
>NUM_IS_SCC) }, /* SCC1 ttyS0 */
>	{ 0,     0, PROFF_SCC4, SIU_INT_SCC4,   0,   (3 |
>NUM_IS_SCC) }, /* SCC4 ttyS1 */
>};
>
>ttyS0,ttyS1 work as COM port,but linux boot log only is
>outputed at ttyS0,how can I redirect it at ttyS1?
>After linux boots successfully,linux prompt will display
>at ttyS1,and I use it normally.
>(u-boot parameter: setenv bootargs root=/dev/nfs rw
>console=ttyS1,115200n8
>rootfs: /dev/console --> ttyS1)
>
>at \arch\ppc\boot\simple\m8260_tty.c,Even if I define
>SCC_CONSOLE to 4,Linux boot log is outputed at ttyS0.
>the following  comment is written at m8260_tty.c:
>
>/* If defined, enables serial console.  The value (1
>through 4) should designate which SCC is used, but this
>isn't complete.  Only SCC1 is known to work at this time.
>*/
>
>#ifdef CONFIG_SCC_CONSOLE
>#define SCC_CONSOLE 4
>#endif
>
>
>Maybe it is true.
>  
>
Well, I can only advice to try linuxppc_2_4 or -2.4 repositories, adding
bits to support SCC4 console and so on...
--
Regards,

Vitaly